# $Revision: 1.22 $, $Date: 2008-03-29 10:10:35 $
%define		ver	1.3
%define		minor	0
Summary:	A collection of utilities and plugins for Bazaar
Summary(pl.UTF-8):	Zbiór narzędzi i wtyczek dla programu Bazaar
Name:		bzrtools
Version:	%{ver}.%{minor}
Release:	1
License:	GPL v2
Group:		Development/Version Control
Source0:	http://launchpad.net/bzrtools/trunk/%{version}/+download/%{name}-%{version}.tar.gz
# Source0-md5:	543d75c063d17c261d2cdb9e2bb533bb
URL:		http://bazaar-vcs.org/BzrTools
BuildRequires:	python-devel >= 1:2.4
BuildRequires:	rpmbuild(macros) >= 1.219
%pyrequires_eq  python
Requires:	bzr >= %{ver}
Requires:	diffutils
Requires:	graphviz >= 2.6
Requires:	librsvg
Requires:	patch
Requires:	rsync >= 2.6.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
BzrTools is a collection of plugins for Bazaar (bzr). Among the
included plugins are:
- push - uses rsync to push local changes to a remote server
- annotate - prints a file annotated with the revision next to each
  line
- shelve/unshelve - allows you to undo some changes, commit, and
  restore
- clean-tree - remove unknown, ignored-junk, or unversioned files from
  the tree
- graph-ancestry - use dot to produce branch ancestry graphs
- shell - a bzr command interpreter with command completion
- patch - apply a patch to your tree from a file or URL

%description -l pl.UTF-8
BZrTools to zestaw wtyczek do programu Bazaar (bzr). Zestaw zawiera
następujące narzędzia:
- push - używa programu rsync do wysłania lokalnych zmian na zdalny
  serwer
- annotate - wyświetla przypisy odnośnie rewizji w każdej linii
  pliku
- shelve/unshelve - pozwala na powrót do wcześniejszych zmian,
  zatwierdzenia zmian i przywrócenia stanu sprzed dokonania zmian
- clean-tree - usuwa nieznane, ignorowane pliki z projektu
- graph-ancestry - graficzne przedstawienie rodowodu plików w
  projekcie
- shell - interpreter poleceń bzr z dopełnianiem poleceń
- patch - pozwala na nakładanie łat z pliku lub adresu URL

%prep
%setup -q -n %{name}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--install-purelib %{py_sitedir} \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS NEWS.Shelf README README.Shelf TODO TODO.Shelf CREDITS
%{py_sitedir}/bzrlib/plugins/bzrtools

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bzrtools.spec,v $
Revision 1.22  2008-03-29 10:10:35  adamg
- updated to 1.3.0

Revision 1.21  2008-01-19 16:08:05  matkor
- Version 1.1-1.

Revision 1.20  2007-12-14 16:32:46  matkor
- Versin 1.0.0-1

Revision 1.19  2007-11-08 18:25:11  megabajt
- it isn't noarch package (uses %{py_sitedir})

Revision 1.18  2007-09-27 12:06:06  matkor
- Release 2. bzr plugins must be under dirname(bzrlib.__file__)/plugins

Revision 1.17  2007/09/26 10:07:22  matkor
- Version 0.91-1.

Revision 1.16  2007/09/02 12:22:38  matkor
- Forgotten source-md5 added.

Revision 1.15  2007/09/02 12:09:37  matkor
- Version 0.90.0-1.

Revision 1.14  2007/07/18 09:45:04  matkor
- Version 0.18.

Revision 1.13  2007/07/08 13:39:08  matkor
- Updated to 0.17.1.

Revision 1.12  2007/06/08 13:27:27  blues
- 0.16.1 by Arkadiusz Machol

Revision 1.11  2007/05/06 10:34:35  arekm
- up to 0.15.4 by Arkadiusz Machol

Revision 1.10  2007/02/12 22:09:09  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:44  baggins
- converted to UTF-8

Revision 1.8  2007/01/26 11:06:02  ankry
- US-ASCII: changelog must be C locale compatible

Revision 1.7  2007/01/26 10:24:00  glen
- latin2

Revision 1.6  2007/01/26 10:04:48  glen
- 0.14.0 by Arkadiusz Machol

Revision 1.5  2006/12/07 14:03:21  japhy
- Up to 0.13 stable (patch by Arkadiusz Machol <arkadiusz.machol@gmail.com>)

Revision 1.4  2006/11/04 20:05:52  qboosh
- typo

Revision 1.3  2006/10/31 23:55:30  glen
- 0.12.2 by arkh

Revision 1.2  2006/10/31 23:19:06  glen
- adapter!
